"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AlertSnippet;

var _react = _interopRequireDefault(require("react"));

var _reactSyntaxHighlighter = _interopRequireDefault(require("react-syntax-highlighter"));

var _hljs = require("react-syntax-highlighter/dist/esm/styles/hljs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function AlertSnippet() {
  const codeString = `
  import React from "react"
  import { Alert, Button } from "material-ui-bootstrap"
  
  export default function AlertExample() {
    const [show, setShow] = React.useState(true)
    return (
      <>
        <Alert
          color="danger"
          dismissible
          show={show}
          onClose={() => setShow(false)}
        >
          <Alert.Heading>Control State</Alert.Heading>
          This is a dismissable one where you control the dismissed state
          externally.
        </Alert>
        <Button onClick={() => setShow(true)}>Show</Button>
        <Button onClick={() => setShow(false)}>Hide</Button>
      </>
    )
  }
  
`;
  return _react.default.createElement(_reactSyntaxHighlighter.default, {
    language: "javascript",
    style: _hljs.docco
  }, codeString);
}